import 'package:flutter/material.dart';
import 'package:flutter_otp/flutter_otp.dart';
import 'package:random_string/random_string.dart';
import 'dart:math' show Random;

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: HomePage(),
    );
  }
}

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  int otpValue = 0000;
  void generateOTP(){
    otpValue = randomBetween(1000, 9000);
  }
  TextEditingController phoneNumber = new TextEditingController();
  TextEditingController otpNumber = new TextEditingController();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: ListView(
          children: <Widget>[
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                SizedBox(
                  height: 200,
                ),
                Padding(
                  padding: const EdgeInsets.fromLTRB(20,0,20,0),
                  child: TextField(
                    keyboardType: TextInputType.number,
                    controller: phoneNumber,
                    decoration: InputDecoration(
                      hintText: 'Enter Phone Number',
                    ),
                  ),
                ),
                RaisedButton(
                  child: Text('Send OTP'),
                  onPressed: (){
                    generateOTP();
                    FlutterOtp obj = FlutterOtp();
                    obj.sendOtp(phoneNumber.text,'your phone ',1000,9999,'+91');
                  },
                ),
                SizedBox(
                  height: 60,
                ),
                Padding(
                  padding: const EdgeInsets.fromLTRB(60,0,60,0),
                  child: TextField(
                    keyboardType: TextInputType.number,
                    controller: otpNumber,
                    decoration: InputDecoration(
                      hintText: 'Enter OTP',
                    ),
                  ),
                ),
                RaisedButton(
                  child: Text('Verify'),
                  onPressed: (){
                    if(otpValue.toString() == otpNumber.text){
                      print('Verified !');
                    }
                    else{
                      print('Incorrect OTP');
                    }
                  },
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}

